local SideBarBaseCellComp = require "app/ui/main_city/cell/side_bar_base_cell"
local SideBarFirstRechargeCell = class("SideBarFirstRechargeCell", SideBarBaseCellComp)

function SideBarFirstRechargeCell:getModuleKey()
    return ModuleManager.MODULE_KEY.FIRST_RECHARGE
end

function SideBarFirstRechargeCell:getIsOpen()
    return DataManager.ShopData:getShowFirstRechargeSideBar()
end

function SideBarFirstRechargeCell:getSpineName()
    return "ui_main_btn_gift_first"
end

function SideBarFirstRechargeCell:getIsShowRedPoint()
    return DataManager.ShopData:showFirstRechargeRp()
end

function SideBarFirstRechargeCell:onClick()
    ModuleManager.ShopManager:showGiftPopUI(PayManager.PURCHARSE_TYPE.ACT_GIFT, GConst.ShopConst.FIRST_RECHARGE_ID, true, BIReport.PAY_UI_SHOW_TYPE.CLICK_SHOW)
end

return SideBarFirstRechargeCell